GET /blueprints/{guid}

Get blueprint by GUID or short_id with Redis caching and permission checks

Get blueprint by GUID or short_id with Redis caching and permission checks
KeyTypeExampleDescription
guidrequiredstring
"example"
Blueprint GUID or short_id
KeyTypeExampleDescription
productionoptionalboolean
true
Get from production blueprints instead of development
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
{
  "_meta": {
    "created": 1782166695,
    "entity": 1,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "modified": 1782166695,
    "updated": 1782166695
  },
  "actions": [
    {}
  ],
  "category": "authentication",
  "created_by_user_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
  "description": "Automates user registration with email verification and profile setup",
  "is_published": false,
  "last_modified_by_user_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
  "name": "User Registration Workflow",
  "permissions": {
    "edit": [
      "example"
    ],
    "execute": [
      "example"
    ],
    "view": [
      "example"
    ]
  },
  "settings": {
    "auto_retry": false,
    "max_retries": 3,
    "parallel_execution": false,
    "timeout": 300000
  },
  "short_id": "TpQ8K3mN9xVz",
  "statistics": {
    "average_duration": 12.5,
    "failed_executions": 0,
    "last_execution": 1782166695,
    "successful_executions": 0,
    "total_executions": 0
  }
}
{
  "error": "INSUFFICIENT_PERMISSIONS"
}
StatusError CodeDescription
401INSUFFICIENT_PERMISSIONSInsufficient permissions or authentication required
404ERRORBlueprint not found
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
blueprints_viewRequired scope: blueprints_view

Back to Blueprints Return to the Blueprints category to view other endpoints All API Categories Browse all available API categories